package model_classes

import (
	"database/sql"
	"errors"
)

func AddDataPoint(db *sql.DB, class_id string, file_path string, mode DATA_POINT_MODE) (id string, err error) {
    id = ""
    _, err = db.Exec("insert into model_data_point (class_id, file_path, model_mode) values ($1, $2, $3);", class_id, file_path, mode)
    if err != nil {
        return
    }

    rows, err := db.Query("select id from model_data_point where class_id=$1 and file_path=$2 and model_mode=$3", class_id, file_path, mode)
    if err != nil {
        return
    }
    defer rows.Close()

    if !rows.Next() {
        return id, errors.New("Something worng")
    }

    err = rows.Scan(&id)
    return
}
